Exec { timeout => 300 }


require 'keystone::python'
class {"nova::api":
    enabled => true,
    auth_host => "172.16.7.15",
    admin_password => "redhat",
    neutron_metadata_proxy_shared_secret => 'redhat'
}

Package<| title == 'nova-common' |> -> Class['nova::api']

firewall { '001 novaapi incoming':
    proto    => 'tcp',
    dport    => ['8773', '8774', '8775'],
    action   => 'accept',
}


class { "nova":
    glance_api_servers => "172.16.7.15:9292",
    qpid_hostname      => "172.16.7.15",
    qpid_username      => 'guest',
    qpid_password      => 'guest',
    rpc_backend        => 'nova.openstack.common.rpc.impl_qpid',
    qpid_port          => '5672',
    qpid_protocol      => 'tcp',
    verbose            => true,
    debug              => false,
}

# Ensure Firewall changes happen before nova services start
# preventing a clash with rules being set by nova-compute and nova-network
Firewall <| |> -> Class['nova']

nova_config{
    "DEFAULT/sql_connection": value => "mysql://nova:redhat@172.16.7.15/nova";
    "DEFAULT/metadata_host": value => "172.16.7.15";
}




class {"nova::network::neutron":
  neutron_admin_password => "redhat",
  neutron_auth_strategy => "keystone",
  neutron_url => "http://172.16.7.15:9696",
  neutron_admin_tenant_name => "services",
  neutron_admin_auth_url => "http://172.16.7.15:35357/v2.0",
}

class {"nova::compute::neutron":
  libvirt_vif_driver => "nova.virt.libvirt.vif.LibvirtGenericVIFDriver",
}
