Exec { timeout => 300 }

class { 'ceilometer':
    metering_secret => 'd52b59d6c0e34231',
    qpid_hostname   => '172.16.7.15',
    qpid_username   => 'guest',
    qpid_password   => 'guest',
    rpc_backend     => 'ceilometer.openstack.common.rpc.impl_qpid',
    verbose         => true,
    debug           => false,
    qpid_port       => '5672',
    qpid_protocol   => 'tcp'
}
class { 'mongodb::server':
    port         => '27017',
    smallfiles   => true,
    before       => Class['ceilometer::db'],
    require      => Firewall['001 mongodb incoming localhost'],
}

firewall { '001 mongodb incoming localhost':
    proto       => 'tcp',
    dport       => ['27017'],
    iniface     => 'lo',
    #source      => 'localhost',
    #destination => 'localhost',
    action      => 'accept',
}

class { 'ceilometer::db':
    database_connection => 'mongodb://localhost:27017/ceilometer',
    require             => Class['mongodb::server'],
}

class { 'ceilometer::collector':
    require => Class['mongodb::server'],
}

class { 'ceilometer::agent::auth':
    auth_url      => 'http://172.16.7.15:35357/v2.0',
    auth_password => 'redhat',
}

class { 'ceilometer::agent::central':
}

class { 'ceilometer::alarm::notifier':
}

class { 'ceilometer::alarm::evaluator':
}

class { 'ceilometer::api':
    keystone_host     => '172.16.7.15',
    keystone_password => 'redhat',
    require           => Class['mongodb::server'],
}
# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'ceilometer_api':
  host => 'ALL',
  service_name => 'ceilometer-api',
  chain => 'INPUT',
  ports => ['8777'],
}

