Exec { timeout => 300 }

$horizon_packages = ["python-memcached", "python-netaddr"]

include concat::setup

package {$horizon_packages:
    notify => Class["horizon"],
    ensure => present,
}

file {"/etc/httpd/conf.d/rootredirect.conf":
    ensure => present,
    content => 'RedirectMatch ^/$ /dashboard/',
    notify => File["/etc/httpd/conf.d/openstack-dashboard.conf"],
}

class {'horizon':
   secret_key => '45611799a2f041aa8493e6f9738ebab2',
   keystone_host => '172.16.7.15',
   fqdn => ['172.16.7.15', "$::fqdn", 'localhost'],
   can_set_mount_point => 'False',
   help_url =>'https://access.redhat.com/site/documentation//en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/4/index.html',
   django_debug => false ? {true => 'True', false => 'False'},
}

class {'memcached':}

$firewall_port = '80'

firewall { "001 horizon ${firewall_port}  incoming":
    proto    => 'tcp',
    dport    => ['80'],
    action   => 'accept',
}

if ($::selinux != "false"){
    selboolean{'httpd_can_network_connect':
        value => on,
        persistent => true,
    }
}

#FIXME
# Ugly hack to avoid duplicate Listen directives on
# port 80
file_line { 'undo_httpd_listen_on_bind_address_80':
    path    => $::horizon::params::httpd_listen_config_file,
    match   => '^.*Listen 0.0.0.0:?80$',
    line    => "#Listen 0.0.0.0:80",
    require => Package['horizon'],
    notify  => Service[$::horizon::params::http_service],
}

File_line['httpd_listen_on_bind_address_80'] -> File_line['undo_httpd_listen_on_bind_address_80']
