Exec { timeout => 300 }


class {"keystone":
    admin_token => "9070cd36d04642ec91e7798de6ca52e7",
    sql_connection => "mysql://keystone_admin:redhat@172.16.7.15/keystone",
    token_format => "PKI",
    verbose => true,
    debug => false,
}

class {"keystone::roles::admin":
    email => "test@test.com",
    password => "redhat",
    admin_tenant => "admin"
}

class {"keystone::endpoint":
    public_address  => "172.16.7.15",
    admin_address  => "172.16.7.15",
    internal_address  => "172.16.7.15",
}

# Run token flush every minute (without output so we won't spam admins)
cron { 'token-flush':
    ensure => 'present',
    command => '/usr/bin/keystone-manage token_flush >/dev/null 2>&1',
    minute => '*/1',
} -> service { 'crond':
    ensure => 'running',
    enable => true,
}

# In some cases we have to ensure log has proper owner
file { '/var/log/keystone/keystone.log':
    owner => 'keystone',
    group => 'keystone',
    require => [User['keystone'], Group['keystone']],
}
# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'keystone':
  host => 'ALL',
  service_name => 'keystone',
  chain => 'INPUT',
  ports => ['5000', '35357'],
}



class {"glance::keystone::auth":
    password => "redhat",
    public_address => "172.16.7.15",
    admin_address => "172.16.7.15",
    internal_address => "172.16.7.15",
}


class {"cinder::keystone::auth":
    password => "redhat",
    public_address => "172.16.7.15",
    admin_address => "172.16.7.15",
    internal_address => "172.16.7.15",
}

keystone_service { "${cinder::keystone::auth::auth_name}_v2":
    ensure      => present,
    type        => "${cinder::keystone::auth::service_type}v2",
    description => "Cinder Service v2",
}

keystone_endpoint { "${cinder::keystone::auth::region}/${cinder::keystone::auth::auth_name}_v2":
    ensure       => present,
    public_url   => "${cinder::keystone::auth::public_protocol}://${cinder::keystone::auth::public_address}:${cinder::keystone::auth::port}/v2/%(tenant_id)s",
    admin_url    => "http://${cinder::keystone::auth::admin_address}:${cinder::keystone::auth::port}/v2/%(tenant_id)s",
    internal_url => "http://${cinder::keystone::auth::internal_address}:${cinder::keystone::auth::port}/v2/%(tenant_id)s",
}


class {"nova::keystone::auth":
    password    => "redhat",
    public_address => "172.16.7.15",
    admin_address => "172.16.7.15",
    internal_address => "172.16.7.15",
    cinder => true,
}


class {"neutron::keystone::auth":
    password    => "redhat",
    public_address => "172.16.7.15",
    admin_address => "172.16.7.15",
    internal_address => "172.16.7.15",
}

class { 'swift::keystone::auth':
  public_address  => '172.16.7.15',
  password => 'redhat',
}


class { 'ceilometer::keystone::auth':
    password => 'redhat',
    public_address => "172.16.7.15",
    admin_address => "172.16.7.15",
    internal_address => "172.16.7.15",
}
