Exec { timeout => 300 }

$neutron_db_host = '172.16.7.15'
$neutron_db_name = 'ovs_neutron'
$neutron_db_user = 'neutron'
$neutron_db_password = 'redhat'
$neutron_sql_connection = "mysql://${neutron_db_user}:${neutron_db_password}@${neutron_db_host}/${neutron_db_name}"

$neutron_user_password = 'redhat'



class { 'neutron':
  rpc_backend           => 'neutron.openstack.common.rpc.impl_qpid',
  qpid_hostname         => '172.16.7.15',
  qpid_username         => 'guest',
  qpid_password         => 'guest',
  qpid_port             => '5672',
  qpid_protocol         => 'tcp',
  core_plugin           => 'neutron.plugins.openvswitch.ovs_neutron_plugin.OVSNeutronPluginV2',
  allow_overlapping_ips => true,
  service_plugins       => undef,
  verbose               => true,
  debug                 => false,
}

class { 'neutron::server':
  sql_connection => $neutron_sql_connection,
  connection => $neutron_sql_connection,
  auth_password => $neutron_user_password,
  auth_host => '172.16.7.15',
  enabled => true,
}

exec { 'neutron-db-manage upgrade':
  command     => 'neutron-db-manage --config-file /etc/neutron/neutron.conf --config-file /etc/neutron/plugin.ini upgrade head',
  path        => '/usr/bin',
  user        => 'neutron',
  logoutput   => 'on_failure',
  before      => Service['neutron-server'],
  require     => [Neutron_config['database/connection'], Neutron_config['DEFAULT/core_plugin']],
}
# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'neutron_server_172.16.7.15_172.16.7.15':
  host => '172.16.7.15',
  service_name => 'neutron server',
  chain => 'INPUT',
  ports => ['9696'],
}


class { 'neutron::plugins::ovs':
  tenant_network_type => 'local',
  network_vlan_ranges => '',
}

class { 'neutron::agents::l3':
  interface_driver        => 'neutron.agent.linux.interface.OVSInterfaceDriver',
  external_network_bridge => 'br-ex',
}

sysctl::value { 'net.ipv4.ip_forward':
  value => '1'
}


vs_bridge { 'br-ex':
  ensure => present,
  require => Service['neutron-plugin-ovs-service']
}


class { 'neutron::agents::ovs':
  bridge_mappings => [],
}



class { 'packstack::neutron::bridge': }


class { 'neutron::agents::dhcp':
  interface_driver => 'neutron.agent.linux.interface.OVSInterfaceDriver',
}
# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'neutron_dhcp_in_172.16.7.15_172.16.7.15':
  host => '172.16.7.15',
  service_name => 'neutron dhcp in',
  chain => 'INPUT',
  ports => ['67'],
}

# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'neutron_dhcp_out_172.16.7.15_172.16.7.15':
  host => '172.16.7.15',
  service_name => 'neutron dhcp out',
  chain => 'OUTPUT',
  ports => ['68'],
}


class {'neutron::agents::metadata':
  auth_password => 'redhat',
  auth_url      => 'http://172.16.7.15:35357/v2.0',
  shared_secret => 'redhat',
  metadata_ip   => '172.16.7.15',
}

